summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Alan Dingeldein2017-07-09 17:29:00 +0200
committer David Spencer2017-07-12 17:39:16 +0200
commit316b8ed0ef5d6ebf39bc4abdc215f5b483f376a2 (patch)
treef1974bdcb8b16e01ce34bf8159ada120ab387c49
parentbaf9ccc73e5eebde5cb72b6a79d7f6b63608c1e7 (diff)
downloadslackbuilds-316b8ed0ef5d6ebf39bc4abdc215f5b483f376a2.tar.gz
network/hipchat: Updated for version 4.29.4.1662.
Upstream has dropped 32 bit support with this release. For an old 32 bit version, see the hipchat2 SlackBuild. Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--network/hipchat/README9
-rw-r--r--network/hipchat/doinst.sh5
-rw-r--r--network/hipchat/hipchat.SlackBuild37
-rw-r--r--network/hipchat/hipchat.info12
-rw-r--r--network/hipchat/slack-desc10
5 files changed, 42 insertions, 31 deletions
diff --git a/network/hipchat/README b/network/hipchat/README
index e0679e3cb2..9c62cb30be 100644
--- a/network/hipchat/README
+++ b/network/hipchat/README
@@ -1,4 +1,7 @@
-Hipchat is a private group messaging service.
+Hipchat is a private group messaging service with support for video
+chat, group screen sharing, and file sharing.
-This repackages the 32 or 64-bit binaries and creates a missing symlink
-to the hash of /etc/ssl/certs/DigiCert_High_Assurance_EV_Root_CA.pem.
+This script repackages the Debian package provided by Atlassian.
+
+Note that only a 64 bit version is available. For an old 32 bit version
+of HipChat, see the hipchat2 SlackBuild.
diff --git a/network/hipchat/doinst.sh b/network/hipchat/doinst.sh
index 4e8ba7071d..65c7e2eeb9 100644
--- a/network/hipchat/doinst.sh
+++ b/network/hipchat/doinst.sh
@@ -2,3 +2,8 @@ if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/hipchat/hipchat.SlackBuild b/network/hipchat/hipchat.SlackBuild
index aeece1a968..bb7aa5056e 100644
--- a/network/hipchat/hipchat.SlackBuild
+++ b/network/hipchat/hipchat.SlackBuild
@@ -28,10 +28,12 @@
# <http://www.gnu.org/licenses/>.
PRGNAM=hipchat
-VERSION=${VERSION:-2.2.1388}
+VERSION=${VERSION:-4.29.4.1662}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+SRCNAM=HipChat4
+
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) export ARCH=i686 ;;
@@ -45,26 +47,27 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+if [ "$ARCH" != "x86_64" ]; then
+ echo "$ARCH is not supported!"
+ exit 1
+fi
+
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-
-tar xvf $CWD/$PRGNAM-$VERSION-$ARCH.pkg.tar.xz -C $PKG
-chown -R root:root $PKG
-
-# Create missing symlink for cert
-mkdir -p $PKG/etc/ssl/certs
-ln -s DigiCert_High_Assurance_EV_Root_CA.pem $PKG/etc/ssl/certs/81b9768f.0
-
-# Fix permissions on libraries
-find $PKG -name "*\.so*" -type f -exec chmod 0755 {} \;
-
-# Remove some cruft
-rm -f $PKG/.PKGINFO
-
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
- | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+cd $PKG
+ar p $CWD/$SRCNAM-${VERSION}-Linux.deb data.tar.gz | tar xvz
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Create symlinks in /usr/bin
+mkdir -p $PKG/usr/bin
+ln -s /opt/hipchat/bin/hipchat $PKG/usr/bin/hipchat
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/network/hipchat/hipchat.info b/network/hipchat/hipchat.info
index 3262c87762..180571f5bf 100644
--- a/network/hipchat/hipchat.info
+++ b/network/hipchat/hipchat.info
@@ -1,10 +1,10 @@
PRGNAM="hipchat"
-VERSION="2.2.1388"
-HOMEPAGE="http://www.hipchat.com/linux"
-DOWNLOAD="http://downloads.hipchat.com/linux/arch/i686/hipchat-2.2.1388-i686.pkg.tar.xz"
-MD5SUM="f7fdc4df78071ecc8900a6f7109facd8"
-DOWNLOAD_x86_64="http://downloads.hipchat.com/linux/arch/x86_64/hipchat-2.2.1388-x86_64.pkg.tar.xz"
-MD5SUM_x86_64="b3c605ed18425ea680903d33a00ed0da"
+VERSION="4.29.4.1662"
+HOMEPAGE="http://www.hipchat.com/#linux"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://atlassian.artifactoryonline.com/atlassian/hipchat-apt-client/pool/HipChat4-4.29.4.1662-Linux.deb"
+MD5SUM_x86_64="5e6731ba4a47f5c7281c18d9baf09eaa"
REQUIRES=""
MAINTAINER="Alan Dingeldein"
EMAIL="kd5zex@gmail.com"
diff --git a/network/hipchat/slack-desc b/network/hipchat/slack-desc
index af941563f7..256dad5682 100644
--- a/network/hipchat/slack-desc
+++ b/network/hipchat/slack-desc
@@ -8,12 +8,12 @@
|-----handy-ruler------------------------------------------------------|
hipchat: hipchat (private group messaging)
hipchat:
-hipchat: HipChat is a private group messaging service.
-hipchat:
-hipchat: Home: http://www.hipchat.com/linux
-hipchat:
-hipchat:
+hipchat: HipChat is a private group messaging service with support for video
+hipchat: chat, group screen sharing, and file sharing.
hipchat:
+hipchat: This script repackages the Debian package provided by Atlassian.
hipchat:
+hipchat: Note that only a 64 bit version is available. For an old 32 bit
+hipchat: version of HipChat, see the hipchat2 SlackBuild.
hipchat:
hipchat: